// Code generated by MockGen. DO NOT EDIT.
// Source: /home/hexedchild1/go/src/gitlab.com/alex.ognezvezd/mygolangservice/modules/user/repository/user_interface.go

// Package mock is a generated GoMock package.
package mock

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	entity "gitlab.com/alex.ognezvezd/mygolangservice/modules/user/entity"
	params "gitlab.com/golight/dao/params"
)

// MockUserser is a mock of Userser interface.
type MockUserser struct {
	ctrl     *gomock.Controller
	recorder *MockUserserMockRecorder
}

// MockUserserMockRecorder is the mock recorder for MockUserser.
type MockUserserMockRecorder struct {
	mock *MockUserser
}

// NewMockUserser creates a new mock instance.
func NewMockUserser(ctrl *gomock.Controller) *MockUserser {
	mock := &MockUserser{ctrl: ctrl}
	mock.recorder = &MockUserserMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockUserser) EXPECT() *MockUserserMockRecorder {
	return m.recorder
}

// Create mocks base method.
func (m *MockUserser) Create(ctx context.Context, dto entity.User) (int64, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Create", ctx, dto)
	ret0, _ := ret[0].(int64)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Create indicates an expected call of Create.
func (mr *MockUserserMockRecorder) Create(ctx, dto interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Create", reflect.TypeOf((*MockUserser)(nil).Create), ctx, dto)
}

// Delete mocks base method.
func (m *MockUserser) Delete(ctx context.Context, usersID int) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Delete", ctx, usersID)
	ret0, _ := ret[0].(error)
	return ret0
}

// Delete indicates an expected call of Delete.
func (mr *MockUserserMockRecorder) Delete(ctx, usersID interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Delete", reflect.TypeOf((*MockUserser)(nil).Delete), ctx, usersID)
}

// GetByID mocks base method.
func (m *MockUserser) GetByID(ctx context.Context, usersID int) (entity.User, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetByID", ctx, usersID)
	ret0, _ := ret[0].(entity.User)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetByID indicates an expected call of GetByID.
func (mr *MockUserserMockRecorder) GetByID(ctx, usersID interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetByID", reflect.TypeOf((*MockUserser)(nil).GetByID), ctx, usersID)
}

// GetList mocks base method.
func (m *MockUserser) GetList(ctx context.Context, condition params.Condition) ([]entity.User, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetList", ctx, condition)
	ret0, _ := ret[0].([]entity.User)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetList indicates an expected call of GetList.
func (mr *MockUserserMockRecorder) GetList(ctx, condition interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetList", reflect.TypeOf((*MockUserser)(nil).GetList), ctx, condition)
}

// Update mocks base method.
func (m *MockUserser) Update(ctx context.Context, dto entity.User) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Update", ctx, dto)
	ret0, _ := ret[0].(error)
	return ret0
}

// Update indicates an expected call of Update.
func (mr *MockUserserMockRecorder) Update(ctx, dto interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Update", reflect.TypeOf((*MockUserser)(nil).Update), ctx, dto)
}
